import java.util.*;

/**
 * Represents an alignment between or among 2 or more corpora. Has a name and a
 * list of links. Each link represents one specific alignment group. It also
 * keeps a list of Corpora which are aligned by this alignment
 * 
 * @author Darko
 * 
 */
public class Alignment {
	protected String name;
	protected List<Link> links = new LinkedList<Link>();
	protected List<Corpus> corpora = new ArrayList<Corpus>();
	protected int n;

	public Alignment() {
	}

	public Alignment(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<Link> getLinks() {
		return this.links;
	}

	public void setLinks(List<Link> links) {
		this.links = links;
	}

	public List<Corpus> getCorpora() {
		return this.corpora;
	}

	public void setCorpora(List<Corpus> corpora) {
		this.corpora = corpora;
	}

	public int getN() {
		return this.n;
	}

	public void setN(int n) {
		this.n = n;
	}

	public String toString() {
		return this.name;
	}
}
