import java.util.ArrayList;
import java.util.List;

public class AllPairs {
	public static void main(String[] args) {

		String[] corpora = { "Obg", "Ocs", "Oen", "Oet", "Ohu", "Olt", "Omk", "Oro", "Osl", "Osr" };
		String[] aligns = { "Obgen", "Ocsen", null, "Oeten", "Ohuen", "Olten", "Omken", "Oroen", "Oslen", "Osren" };

		for (int i = 0; i < corpora.length - 1; i++) {
			for (int j = i + 1; j < corpora.length; j++) {
				AlignmentParser parser = new AlignmentParser("proba");

				if (aligns[i] != null) {
					parser.parse("orwell/oalg-" + aligns[i].substring(1) + ".xml");
				}
				if (aligns[j] != null) {
					parser.parse("orwell/oalg-" + aligns[j].substring(1) + ".xml");
				}

				Context context = parser.getContext();
				Aligner aligner = new Aligner(context);

				List<String> corpusNames = new ArrayList<String>();
				corpusNames.add(corpora[i]);
				corpusNames.add(corpora[j]);

				String hubCorpusName = "Oen";

				List<String> alignmentNames = new ArrayList<String>();
				if (aligns[i] != null) {
					alignmentNames.add(aligns[i]);
				}
				if (aligns[j] != null) {
					alignmentNames.add(aligns[j]);
				}

				Alignment result = aligner.align(corpusNames, hubCorpusName, alignmentNames);
				AlignmentWriter writer = new AlignmentWriter("allpairs/oalg-" + corpora[i].substring(1)
						+ corpora[j].substring(1) + ".xml", result);
				writer.write();
			}
		}

	}
}
