import java.util.*;

/**
 * One Link object represents one <code>link</code> element in the alignment
 * file, i.e., one alignment group
 * 
 * @author Darko
 * 
 */
public class Link {
	protected String string;
	protected String cardinality;
	protected boolean empty = false;
	protected Map<String, Set<Sentence>> linkGroups = new LinkedHashMap<String, Set<Sentence>>();

	public Link() {
	}

	public Link(String string) {
		this.string = string;
	}

	public Map<String, Set<Sentence>> getLinkGroups() {
		return this.linkGroups;
	}

	public void setLinkGroups(Map<String, Set<Sentence>> linkGroups) {
		this.linkGroups = linkGroups;
	}

	public String getString() {
		return this.string;
	}

	public void setString(String string) {
		this.string = string;
	}

	private void fillString() {
		StringBuilder buffer = new StringBuilder();
		this.cardinality = "";
		int n = 0;
		for (Iterator<Set<Sentence>> iter = linkGroups.values().iterator(); iter.hasNext();) {
			Set<Sentence> linkGroup = iter.next();
			StringBuilder linkGroupString = new StringBuilder(" ");
			int i = 0;
			for (Sentence s : linkGroup) {
				if (!s.isEmpty()) {
					linkGroupString.append(s.id + " ");
					i++;
				}
			}
			buffer.append(linkGroupString);
			this.cardinality += i;
			n += i;
			if (iter.hasNext()) {
				buffer.append(";");
				this.cardinality += ":";
			}
		}
		this.string = buffer.toString().trim();
		if (n == 0) {
			this.empty = true;
		}
	}

	public boolean isEmpty() {
		return this.empty;
	}
	
	public void setEmpty(boolean empty) {
		this.empty = empty;
	}
	
	public String toString() {
		if (this.string == null) {
			fillString();
		}
		return this.string;
	}
}
