import java.util.*;


/**
 * One object of class Sentence represents one sentence in the corpora. The sentence is identified by the "id" attribute in the 
 * corpora. It also contains pointers to all alignments in which it participates.
 * @author Darko
 *
 */
public class Sentence {
	private static int emptyCounter = 0;
	
	protected String id;
	protected Map<String, Link> links = new LinkedHashMap<String, Link> (); 
	protected boolean empty;
	
	public Sentence() {
		this.id = "empty_" + (++emptyCounter);
		this.empty = true;
	}
	
	public Sentence(String id) {
		this.id = id;
		this.empty = false;
	}
	
	public String getID() {
		return this.id;
	}
	
	public void setID(String id) {
		this.id = id;
	}
	
	public Map<String, Link> getLinks() {
		return this.links;
	}
	
	public void setLinks(Map<String, Link> links) {
		this.links = links;
	}
	
	public boolean isEmpty() {
		return this.empty;
	}
	
	public void setEmpty(boolean empty) {
		this.empty = empty;
	}
	public String toString() {
		return this.id;
	}
}
